jetpack4.2 flash faild ,why...new installed ubuntu18.04,no any other softwall installed.

01:36:15 INFO : Flash Jetson TX2 : [ Disk Avail:130.28 GB ]
01:36:15 INFO : Flash Jetson TX2 : Using GenericInstaller to Install NV_L4T_FLASH_TX2_WITH_OS_IMAGE_COMP
01:36:15 INFO : Flash Jetson TX2 : change working directory to /home/deep/nvidia/nvidia_sdk/JetPack_4.2_Linux_P3310/Linux_for_Tegra
01:36:15 INFO : Flash Jetson TX2 : [ Component Install Started ]
01:36:15 INFO : Flash Jetson TX2 : current working directory is /home/deep/nvidia/nvidia_sdk/JetPack_4.2_Linux_P3310/Linux_for_Tegra
01:36:15 INFO : Flash Jetson TX2 : exec_command [target]:
01:36:15 INFO : Flash Jetson TX2 : **********************
01:36:15 INFO : Flash Jetson TX2 : #!/bin/bash
01:36:15 INFO : Flash Jetson TX2 : set -e
01:36:15 INFO : Flash Jetson TX2 :
01:36:15 INFO : Flash Jetson TX2 : function safe_apt_install {
01:36:15 INFO : Flash Jetson TX2 : echo “*begin $1, $2”
01:36:15 INFO : Flash Jetson TX2 : tmp_log=/tmp/jetpack_dpkg_log.txt
01:36:15 INFO : Flash Jetson TX2 : sudo rm -f $tmp_log
01:36:15 INFO : Flash Jetson TX2 : set +e; $1 2>&1 | tee tmp_log; CMD_STATUS={PIPESTATUS[0]}; set -e
01:36:15 INFO : Flash Jetson TX2 : while [ ${CMD_STATUS} -ne 0 ]; do
01:36:15 INFO : Flash Jetson TX2 : if grep -q -e “is locked by another process” -e “E: Could not get lock /var/lib” $tmp_log; then
01:36:15 INFO : Flash Jetson TX2 : sudo rm -f $tmp_log
01:36:15 INFO : Flash Jetson TX2 : set +e; $1 2>&1 | tee tmp_log; CMD_STATUS={PIPESTATUS[0]}; set -e
01:36:15 INFO : Flash Jetson TX2 : echo "Waiting 2 seconds for apt to be available"; sleep {2}
01:36:15 INFO : Flash Jetson TX2 : else
01:36:15 INFO : Flash Jetson TX2 : echo “Unhandled error when running $1”; exit 1
01:36:15 INFO : Flash Jetson TX2 : fi
01:36:15 INFO : Flash Jetson TX2 : done
01:36:15 INFO : Flash Jetson TX2 : }
01:36:15 INFO : Flash Jetson TX2 : export LC_ALL=en_US.UTF-8 LANG=en_US.UTF-8 LANGUAGE=en_US.UTF-8
01:36:15 INFO : Flash Jetson TX2 : sudo reboot forced-recovery
01:36:15 INFO : Flash Jetson TX2 : **********************
01:36:15 INFO : Flash Jetson TX2 : exec_command: scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_L4T_FLASH_TX2_WITH_OS_IMAGE_COMP.sh nvidia@192.168.55.1:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no nvidia@192.168.55.1 “~/tmp_NV_L4T_FLASH_TX2_WITH_OS_IMAGE_COMP.sh && rm -f ~/tmp_NV_L4T_FLASH_TX2_WITH_OS_IMAGE_COMP.sh”
01:38:26 ERROR : Flash Jetson TX2 : lost connection
01:40:37 INFO : Flash Jetson TX2 : exit status 255
01:40:37 WARNING : Flash Jetson TX2 : command scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_L4T_FLASH_TX2_WITH_OS_IMAGE_COMP.sh nvidia@192.168.55.1:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no nvidia@192.168.55.1 “~/tmp_NV_L4T_FLASH_TX2_WITH_OS_IMAGE_COMP.sh && rm -f ~/tmp_NV_L4T_FLASH_TX2_WITH_OS_IMAGE_COMP.sh” finished with error, but ignored
01:40:37 INFO : Flash Jetson TX2 : exec_command: sleep 20
01:40:57 INFO : Flash Jetson TX2 : exec_command: sudo ./flash.sh jetson-tx2 mmcblk0p1
01:40:57 INFO : Flash Jetson TX2 : ###############################################################################
01:40:57 INFO : Flash Jetson TX2 : # L4T BSP Information:
01:40:57 INFO : Flash Jetson TX2 : # R32 (release), REVISION: 1.0, GCID: 14531094, BOARD: t186ref, EABI: aarch64,
01:40:57 INFO : Flash Jetson TX2 : # DATE: Wed Mar 13 07:41:08 UTC 2019
01:40:57 INFO : Flash Jetson TX2 : ###############################################################################
01:40:57 INFO : Flash Jetson TX2 : # Target Board Information:
01:40:57 INFO : Flash Jetson TX2 : # Name: jetson-tx2, Board Family: t186ref, SoC: Tegra 186,
01:40:57 INFO : Flash Jetson TX2 : # OpMode: production, Boot Authentication: NS,
01:40:57 INFO : Flash Jetson TX2 : ###############################################################################
01:40:57 INFO : Flash Jetson TX2 : ./tegraflash.py --chip 0x18 --applet “/home/deep/nvidia/nvidia_sdk/JetPack_4.2_Linux_P3310/Linux_for_Tegra/bootloader/mb1_recovery_prod.bin” --skipuid --cmd “dump eeprom boardinfo cvm.bin”
01:40:57 ERROR : Flash Jetson TX2 : /usr/bin/env: ‘python’
01:40:57 ERROR : Flash Jetson TX2 : : No such file or directory
01:40:57 INFO : Flash Jetson TX2 : Reading board information failed.
01:40:57 INFO : Flash Jetson TX2 : exit status 1
01:40:57 INFO : Flash Jetson TX2 : [ Component Install Finished with Error ]
01:40:57 ERROR : Flash Jetson TX2 : NV_L4T_FLASH_TX2_WITH_OS_IMAGE_COMP command sudo ./flash.sh jetson-tx2 mmcblk0p1 finished with error
01:40:57 INFO : Flash Jetson TX2 :
01:40:57 INFO : Flash Jetson TX2 : [ 16.00 KB used. Disk Avail: 130.28 GB ]
01:40:57 INFO : Flash Jetson TX2 : [ NV_L4T_FLASH_TX2_WITH_OS_IMAGE_COMP Install took 4m42s ]
01:40:57 INFO : Flash Jetson TX2 : command sudo ./flash.sh jetson-tx2 mmcblk0p1 finished with error
01:40:57 ERROR : Flash Jetson TX2 : command terminated with error
01:40:57 ERROR : install ‘Flash Jetson TX2’ failure, command < cd ‘/home/deep/nvidia/nvidia_sdk/JetPack_4.2_Linux_P3310’ ; ‘/opt/nvidia/sdkmanager/resources/app/output/installUtils/adapter’ -a=‘install’ -c=‘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’ -i=‘NV_L4T_FLASH_TX2_WITH_OS_IMAGE_COMP’ -v=‘32.1’ -l=’/home/deep/nvidia/nvidia_sdk/JetPack_4.2_Linux_P3310’ -L=’/home/deep/.nvsdkm/logs/JetPack_4.2_Linux’ -p=‘1850’ -t=‘P3310’ -e=‘undefined’ > terminated with error
01:40:57 INFO : install ‘Device Mode Host Setup in Target SDK’ Skipped
01:40:57 INFO : install ‘DateTime Target Setup’ Skipped
01:40:57 INFO : install ‘CUDA Toolkit for L4T’ Skipped
01:40:57 INFO : install ‘cuDNN on Target’ Skipped
01:40:57 INFO : install ‘TensorRT on Target’ Skipped
01:40:57 INFO : install ‘OpenCV on Target’ Skipped
01:40:57 INFO : install ‘VisionWorks on Target’ Skipped
01:40:57 INFO : install ‘Multimedia API’ Skipped
01:40:59 INFO : All done!
FLASHING FAILED
Please review the terminal tab for details. Resolve and RETRY.
Installation of target SDK components was skipped
EXPORT LOGS

RETRY
FAILED ITEMS

STOP TRYING

Copyright © 2019,

NVIDIA CORPORATION
.
All rights reserved.
|
NVIDIA Developer

log…
###############################################################################

sudo ./flash.sh jetson-tx2 mmcblk0p1
###############################################################################

L4T BSP Information:

R32 (release), REVISION: 1.0, GCID: 14531094, BOARD: t186ref, EABI: aarch64,

DATE: Wed Mar 13 07:41:08 UTC 2019

###############################################################################

Target Board Information:

Name: jetson-tx2, Board Family: t186ref, SoC: Tegra 186,

OpMode: production, Boot Authentication: NS,

###############################################################################
./tegraflash.py --chip 0x18 --applet “/home/deep/nvidia/nvidia_sdk/JetPack_4.2_Linux_P3310/Linux_for_Tegra/bootloader/mb1_recovery_prod.bin” --skipuid --cmd “dump eeprom boardinfo cvm.bin”
/usr/bin/env: “python”: 没有那个文件或目录
Reading board information failed.

it’s finish flashing after i do this ,thx…

sudo apt-get install python
sudo apt-get install xterm

1 Like

this will install python2 ? I use anconda to manage the environment